V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
monkeyWie
V2EX  ›  Java

建议别升级 IDEA 到 2020.02

  •  
  •   monkeyWie · 2020-08-19 14:32:20 +08:00 · 10374 次点击
    这是一个创建于 517 天前的主题,其中的信息可能已经有所发展或是发生改变。

    代码提示经常莫名其妙就失灵了🥴,有遇到同样情况的老哥吗?

    72 条回复    2020-08-26 09:46:12 +08:00
    cwm165
        1
    cwm165  
       2020-08-19 14:43:14 +08:00
    你使用 lombok 了嘛,如果用了,可能是这个插件不兼容
    chendy
        2
    chendy  
       2020-08-19 14:50:01 +08:00
    lombok 插件还没更新,所以不更新…
    wunonglin
        3
    wunonglin  
       2020-08-19 14:52:21 +08:00
    我 web 的,建议升,01 的时候卡得一批,02 瞬间流畅了
    yingsunwl
        4
    yingsunwl  
       2020-08-19 14:55:47 +08:00
    是不是有安装 TabNine 之类的智能提示插件?如果有的话,会有问题
    NEETLEE
        5
    NEETLEE  
       2020-08-19 14:59:31 +08:00
    phpstrom 升级到 2020.2 各种 bug,最恶心的是代码提示时有时无。吐了
    monkeyWie
        6
    monkeyWie  
    OP
       2020-08-19 15:00:42 +08:00
    @cwm165 @chendy 用了 lombok 。。。
    hankli
        7
    hankli  
       2020-08-19 15:03:18 +08:00
    lombok 卸载了重新装 就没事了
    monkeyWie
        8
    monkeyWie  
    OP
       2020-08-19 15:07:54 +08:00
    摸了一会鱼,现在又好了
    Heemooo
        9
    Heemooo  
       2020-08-19 15:14:43 +08:00
    同样的情况,作废缓存,重启就好了
    zhengdai1990
        10
    zhengdai1990  
       2020-08-19 15:31:31 +08:00
    我升级之后这个破玩意的内存经常动不动涨到 100G,也是醉了
    wupher
        11
    wupher  
       2020-08-19 15:39:53 +08:00
    not at all

    不过,我主要使用 Kotlin 及 Groovy,但是确实没有碰到。

    on Manjaro Linux & Mac
    VeryZero
        12
    VeryZero  
       2020-08-19 16:01:01 +08:00
    有没有装汉化插件?那玩意儿会导致很多莫名其妙的问题
    jzmws
        13
    jzmws  
       2020-08-19 16:12:08 +08:00
    你们公司还招人吗 ? 我 我看中你 128GB 的机器了
    Geekerstar
        14
    Geekerstar  
       2020-08-19 16:13:39 +08:00
    @zhengdai1990 我们公司叫啥呢?
    monkeyWie
        15
    monkeyWie  
    OP
       2020-08-19 16:13:52 +08:00
    @zhengdai1990 #10 100G 是什么神仙配置
    qyvlik
        16
    qyvlik  
       2020-08-19 16:28:56 +08:00 via Android
    +1, lombok 偶尔抽风, idea 2020.02
    Mogugugugu
        17
    Mogugugugu  
       2020-08-19 16:33:04 +08:00
    1 、lombok 插件会有问题。重装即可解决。
    2 、中文插件,会有问题,不限版本,建议卸载或者翻一下 https://youtrack.jetbrains.com/issues/IDEA
    3 、作废缓存能解决很多奇葩问题。
    laminux29
        18
    laminux29  
       2020-08-19 16:36:00 +08:00
    @monkeyWie 估计是用了工作站或服务器来当开发机。其实这对于工业级的开发,很正常。
    zhongjun96
        19
    zhongjun96  
       2020-08-19 17:09:25 +08:00
    升级时,有红字提示
    ![image.png]( https://i.loli.net/2020/08/19/NXbVEOfFKzagqP7.png)
    aguesuka
        20
    aguesuka  
       2020-08-19 17:19:56 +08:00 via Android
    这就是我为什么不用 lombok 的原因
    qwerthhusn
        21
    qwerthhusn  
       2020-08-19 17:24:47 +08:00
    IDEA 更新经常遇到 lombok 插件不兼容的情况

    以前是升级前明确告诉你 lombok 不兼容,现在是不提示不兼容了。感觉一切正常,但是 lombok 插件经常崩
    cco
        22
    cco  
       2020-08-19 17:41:20 +08:00
    没遇到,只不过 Jrebel debug 启动的时候 F8 按一下就卡一天。用 IDEA 自己的 debug 就可以正常使用。
    Vkery
        23
    Vkery  
       2020-08-19 17:58:41 +08:00
    卸载重装 lombok 虽然现实兼容了,但其实还是有兼容性 bug,你无法使用 @Data 以外的 lombok 注解,而且偶尔会提示失灵
    tang123456
        24
    tang123456  
       2020-08-19 18:01:31 +08:00
    不敢升级,因为 01 的能用 68 年,升完级还得破解
    ben1024
        25
    ben1024  
       2020-08-19 18:35:08 +08:00
    PHPStorm 加载 Node 项目比较卡。。。
    Shook
        26
    Shook  
       2020-08-19 18:36:38 +08:00
    既然聊到 jb 家的东西,我也想问问:
    webstorm 2020.2 的 color picker 不支持 RGBA 怎么办啊,想要调透明度只能自己写,好麻烦啊!!
    tsundoku
        27
    tsundoku  
       2020-08-19 19:03:20 +08:00 via Android
    并不是 lombok 插件的问题,idea2020.2 的 psi 缓存有问题,已经在修复了。
    tsundoku
        28
    tsundoku  
       2020-08-19 19:05:56 +08:00 via Android
    居然没法回复链接。。算了,你们可以在 github 看看 lombok 插件的 issue
    zhengdai1990
        29
    zhengdai1990  
       2020-08-19 19:11:00 +08:00
    @monkeyWie mac,都是虚拟内存
    securityCoding
        30
    securityCoding  
       2020-08-19 19:30:35 +08:00
    @chendy lombok 没问题啊,我这边在正常使用
    ourslay
        31
    ourslay  
       2020-08-19 20:15:09 +08:00
    lombok 问题的升级到 2.1Preview 可以解决
    shenyuzhi
        32
    shenyuzhi  
       2020-08-19 21:40:25 +08:00 via iPhone
    IDEA 最近一年的版本,都有一些小问题。虽然问题不大,重启一般就能解决,就是感觉不太爽。
    mew1
        33
    mew1  
       2020-08-19 22:17:44 +08:00
    不用 lombok,感觉很麻烦还不如直接用 idea 的快捷键去生成代码
    iyear
        34
    iyear  
       2020-08-19 22:29:46 +08:00 via Android
    我都迟两个版本更新的,我的电脑甚至装不上 ws2020.2,什么 nsis
    hdfg159
        35
    hdfg159  
       2020-08-19 23:09:29 +08:00 via Android
    我出现莫名奇妙的假死,擦,不知道怎么回事,gc 没什么不对
    yxssfxwzy
        36
    yxssfxwzy  
       2020-08-19 23:22:04 +08:00
    停留在 2017 了
    lights
        37
    lights  
       2020-08-20 00:36:25 +08:00 via iPhone
    你们的 IDEA 都买 license 了吗?我因为没花钱也不想再折腾破解,于是现在一直 vs 社区版和 vscode
    Aynamic
        38
    Aynamic  
       2020-08-20 01:08:55 +08:00 via Android
    arch 用户表示用了老久了,没有遇到这个问题
    sugars
        39
    sugars  
       2020-08-20 08:49:21 +08:00
    WebStorm 2020.2 有 license,没有这个情况,一切良好
    crclz
        40
    crclz  
       2020-08-20 08:54:49 +08:00
    lombok 会有问题,所以我又去 idea 官网下了个 2020.1
    Doracis
        41
    Doracis  
       2020-08-20 09:01:32 +08:00
    我之前装了 2020.02 ,界面操作不太适应,最后还是回 2018 版本了,看样子还是老了啊,只会守旧不敢尝新了 TAT
    junbaor
        42
    junbaor  
       2020-08-20 09:05:30 +08:00   ❤️ 2
    https://youtrack.jetbrains.com/issue/IDEABKL-5667
    https://youtrack.jetbrains.com/issue/IDEA-248146

    社区强烈希望 jetbrains 官方能够接管 lombok 插件提供官方支持,有功夫的可以去发出自己的声音。
    qian88199496
        43
    qian88199496  
       2020-08-20 09:11:47 +08:00
    我更新了,挺好的,01 版本的时候插件一直报错,现在还行
    yiyi11
        44
    yiyi11  
       2020-08-20 09:18:22 +08:00 via Android
    缓一缓,等小版本再出几个再升比较好,比如 2020.2.3 。
    zhongjun96
        45
    zhongjun96  
       2020-08-20 09:28:58 +08:00
    @qwerthhusn #21 这次也提示了不兼容
    beryl
        46
    beryl  
       2020-08-20 09:47:49 +08:00
    刚刚看了下,官方说 its fixed in latest 2020.2.1 RC,可以试着更新下
    Smilecc
        47
    Smilecc  
       2020-08-20 09:50:24 +08:00
    上次升级死活读取不到项目的 pom,又回退到 2019.03 了
    fumichael
        48
    fumichael  
       2020-08-20 09:54:33 +08:00
    emmm,我是用 jrebel 启动项目,然后 debug 走不动(这是我电脑的问题吗)
    然后发现 keymap 会从 window 变成 eclipse,修改回去过一会又这样,这个比较迷
    execute
        49
    execute  
       2020-08-20 09:57:20 +08:00
    @cco #22 这个问题是因为 Async Debugger 不兼容,需要升级 jrebel,见 https://plugins.jetbrains.com/plugin/4441-jrebel-and-xrebel-for-intellij/ 的更新日志
    execute
        50
    execute  
       2020-08-20 09:58:51 +08:00
    @execute #49 说错了,其实不升级 jrebel 直接禁用 IDEA 的 Async Debugger 也可以
    @fumichael #48 见楼上
    Yano
        51
    Yano  
       2020-08-20 09:59:08 +08:00
    这两天手痒想升级,看到你的问题,我还是决定再等等~
    wu67
        52
    wu67  
       2020-08-20 10:00:12 +08:00
    代码提示倒还好, 快捷键整行移动代码才恶心. 总是不知不觉就把移动过程中的某行代码带着一起移动了
    tairan2006
        53
    tairan2006  
       2020-08-20 10:01:31 +08:00
    Lombok 的问题在 2020.2 中没法解决,有个 psi 问题。必须升级到 2020.2.1 或者降级
    wispx
        54
    wispx  
       2020-08-20 10:02:15 +08:00
    File -> Invalidate Caches / Restart... 即可解决
    fumichael
        55
    fumichael  
       2020-08-20 10:04:20 +08:00
    @execute #50 好的,thx
    idblife
        56
    idblife  
       2020-08-20 10:20:59 +08:00
    @zhengdai1990
    咱们公司名字叫啥来着?
    ily433664
        57
    ily433664  
       2020-08-20 10:38:10 +08:00
    之前升级 2020.2,jrebel 的 debug 卡主,然后就退回了 2020.1
    curvatureship
        58
    curvatureship  
       2020-08-20 10:53:06 +08:00
    确实不推荐升级,升级到 2020.2 后崩溃和卡死的情况频率变高了,现在一天发生一两次崩溃和卡死,重启软件又浪费时间,后面回滚了
    fanshuzaizai
        59
    fanshuzaizai  
       2020-08-20 11:24:46 +08:00
    被 lombok 坑死了,虽然装了 eap 版能用,但动不动就异常,必须重启,搞不懂这么重要的功能为什么要依赖一个个人开发者维护
    aviator
        60
    aviator  
       2020-08-20 15:30:31 +08:00
    lombok 一天崩几十次,吐了。。。
    zhengdai1990
        61
    zhengdai1990  
       2020-08-20 17:47:04 +08:00
    @idblife 怎么都问公司名……我电脑是自己的
    fengci
        62
    fengci  
       2020-08-20 18:31:34 +08:00
    没有 lombok 插件也没有代码提示什么情况?
    Kirakbit
        63
    Kirakbit  
       2020-08-20 18:47:21 +08:00 via Android
    2020.2 没有这个情况
    JavaIO
        64
    JavaIO  
       2020-08-21 08:40:14 +08:00
    好久没升级了
    Vkery
        65
    Vkery  
       2020-08-21 09:39:38 +08:00
    @fanshuzaizai
    @aviator
    2020.2.1.RC 支持 lombok 了
    不是插件问题是平台的问题
    https://youtrack.jetbrains.com/issue/IDEA-248146#focus=Comments-27-4342557.0-0
    yinzhili
        66
    yinzhili  
       2020-08-21 13:17:41 +08:00
    不用 lombok 就行了吧,很多开发团队都不用这个
    aviator
        67
    aviator  
       2020-08-21 16:05:04 +08:00
    @Vkery 好,抽空去降一下版本。
    RedBeanIce
        68
    RedBeanIce  
       2020-08-21 19:52:00 +08:00
    升级的第一天,真香,
    cco
        69
    cco  
       2020-08-25 17:45:41 +08:00
    @execute 求告知怎么禁用呢?我禁用了一个类似的,还是卡主了呢
    execute
        70
    execute  
       2020-08-25 18:02:49 +08:00
    @cco #69 升级 jrebel 后重启 IDEA 会提示你禁用,如果错过的话,可以尝试 Help → Edit Custom Properties
    里面增加 debugger.async.jdi=false 然后重启 IDEA
    cco
        71
    cco  
       2020-08-26 09:14:33 +08:00
    @execute 多谢大佬, 不过我试了`debugger.async.jdi=false `这个方式,还是没有效果。
    ![]( )
    cco
        72
    cco  
       2020-08-26 09:46:12 +08:00
    @execute 最后禁用 Kotlin 插件解决了,也可以将 Kotlin 插件降级到 1.3 也可以。
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1617 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 29ms · UTC 17:26 · PVG 01:26 · LAX 09:26 · JFK 12:26
    ♥ Do have faith in what you're doing.